ResultMeasureResultSectionOptions Class

class NXOpen.CAE.ResultMeasureResultSectionOptions

Bases: NXOpen.CAE.ResultMeasureResultOptions

Represents the result with beam/shell section options for result measure

To obtain an instance of this class use CAE.ResultMeasureCollection().

New in version NX8.5.0.

Methods

Method Description
Dispose Frees the object from memory.
SetAbsoluteValue Set the option to use absolute values
SetBeamSection Set the beam section for beam stress/strain results
SetOperation Set the operation type
SetPlynum Set the ply num in result option
SetShellSection Set the shell section for shell stress/strain results
SetUnit Set the unit

Method Detail

Dispose

ResultMeasureResultSectionOptions.Dispose

Frees the object from memory.

After this method is called, it is illegal to use the object. In .NET, this method is automatically called when the object is deleted by the garbage collector.

Signature Dispose()

New in version NX8.5.0.

License requirements: None.

SetBeamSection

ResultMeasureResultSectionOptions.SetBeamSection

Set the beam section for beam stress/strain results

Signature SetBeamSection(eBeamSect)

Parameters:eBeamSect (NXOpen.CAE.ResultSection) –

New in version NX8.5.0.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”)

SetShellSection

ResultMeasureResultSectionOptions.SetShellSection

Set the shell section for shell stress/strain results

Signature SetShellSection(eShellSect)

Parameters:eShellSect (NXOpen.CAE.ResultSection) –

New in version NX8.5.0.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”)